Don't have Telegram yet? Try it now!
https://macmule.com/2016/01/31/sparkle-updater-framework-http-man-in-the-middle-vulnerability/
Sparkle Updater Framework HTTP man-in-the-middle vulnerability